精华内容
下载资源
问答
  • 目的:WorkstationTimeService.exe 系统服务安装设计了一个安装脚本,安装系统服务,然后启动服务。 安装该脚本必须使用管理员权限。 运行的结果如下: 可以看到当前运行的目录是系统的system32目录...

    安装系统服务,必须使用到系统管理员权限才能进行安装注册。运行bat批处理安装脚本,需要将bat的运行目录切换到脚本文件所在的目录。这是可以使用命令:cd /d %~dp0
    目的:为WorkstationTimeService.exe 系统服务安装设计了一个安装脚本,安装系统服务,然后启动服务。在这里插入图片描述
    安装该脚本必须使用管理员权限。
    在这里插入图片描述
    运行的结果如下:
    在这里插入图片描述
    可以看到当前运行的目录是系统的system32目录,必须将当前运行目录切换到安装脚本的所在目录。需要在脚本最前面添加一行:cd /d %~dp0
    在这里插入图片描述
    运行结果如下:
    在这里插入图片描述
    cd /d %~dp0命令是切换运行目录到脚本所在的目录。
    参数解释1:关于“/d”参数
    关于cd的/d参数,在cmd中敲入cd /? ,可以看到/d参数的解释如下:
    使用 /D命令行开关,除了改变驱动器的当前目录之外,还可改变当前驱动器。
    参数解释2:关于“ %~dp0 ”的批处理命令的详细解释
    %~dp0 “d”为Drive的缩写,即为驱动器,磁盘、“p”为Path缩写,即为路径,目录。
    选项语法:
    ~0 - 删除任何引号("),扩充%0,
    %~d0 - 仅将%0扩充到一个驱动器号,
    %~p0 - 仅将%0扩充到一个路径。

    展开全文
  • linux服务启动脚本实践

    千次阅读 2018-08-16 21:43:06
    linux服务启动脚本实践 后台开发在部署、修改配置、升级服务时,需经常进行启动、关闭等操作 常规的做法: - 启动: 敲一行执行启动命令, - 关闭: 执行ps aux | grep xxx,查到进程号,在执行 kill -9 xxx...

    linux服务启动脚本实践

    后台开发在部署、修改配置、升级服务时,需经常进行启动、关闭等操作
    常规的做法:
    - 启动: 敲一行执行启动命令,
    - 关闭: 执行ps aux | grep xxx,查到进程号,在执行 kill -9 xxx
    - 修改配置文件后又得先关闭,在启动

    无数次的重复非常繁琐,故写个shell脚本解放双手还是很有必要的。
    本文是做项目中写的一个小脚本,简单实用,特此总结一下。

    目标

    需支持
    - usage
    - start
    - stop
    - restart
    - status

    思路:

    usage

    输出 Usage: $0 { start | stop | restart | status }

    start:

    检测是否有pid文件,有则提示已经启动,无则执行启动命令,成功时将新进程号写入pid文件,
    失败时提示异常

    stop

    检测是否有pid文件,无则提示未启动,有则执行kill -9 $PID 命令,删除pid文件

    restart

    先执行stop,再执行start

    status

    检测是否有pid文件,无则提示未启动,有则提示$PID,pid文件路径,进程相关信息

    #!/bin/sh
    # $0 表shell命令第一个参数,即脚本本身
    # $(dirname $0) 定位脚本文件所在的目录
    BASE_DIR=$(dirname $0)
    # $(basename $0 .sh) 定位脚本名称,.sh表示去除.sh后缀
    PID=$(dirname $0)/$(basename $0 .sh).pid
    
    #USER=root
    
    status() {
      # -f 表判断变量是否存在
      if [ -f $PID ]
      then
        echo "--- Started, Pid file: $( cat $PID ) [$PID] ---"
        ps -ef | grep -v grep | grep $( cat $PID )
      else
        echo "---No Pid file---"
      fi
    }
    
    start() {
        if [ -f $PID ]
        then
            echo "---Already started. PID: [$( cat $PID )]---"
        else
          # 测试命令,以启动redis命令为例
          /usr/local/src/redis-server /etc/redis.conf &
    
          # $? 为上条命令执行结果,成功执行则返回0
          if [[ "$?" -eq 0 ]];
          then
            # $! 为上条shell命令的进程号,如执行成功,则将进程号写入pid文件
            echo $!>$PID
            echo "START success"
          else
            echo "---START failure, please check----"
          fi
        fi
    }
    
    stop() {
      if [ -f $PID ]
      then
        # 执行kill的几种命令方式
        # kill -9 `ps -ef | grep -v grep | grep $CMD | grep -w $USR | awk '{print $2}'`
        # echo `cat $PID` | xargs kill -9
        kill -9 `cat $PID`
        sleep 1
        /bin/rm $PID
        echo "Stop success"
      else
        echo "---No pid file---"
      fi
    }
    
    case "$1" in
      'start')
        start
        ;;
    
      'stop')
        stop
        ;;
    
      'restart')
        stop
        sleep 1
        start
        ;;
    
      'status')
        status
        ;;
    
      *)
        echo "Usage: $0 { start | stop | restart | status }"
        exit 1
        ;;
    esac
    
    exit 0
    展开全文
  • macOS的开机启动脚本所在位置

    千次阅读 2018-07-04 00:52:57
    ~/Library/LaunchAgents /System/Library/LaunchAgents/ /System/Library/LaunchDaemons/ /Library/LaunchAgents/ /Library/LaunchDaemons/
    ~/Library/LaunchAgents
    /System/Library/LaunchAgents/
    /System/Library/LaunchDaemons/
    /Library/LaunchAgents/
    /Library/LaunchDaemons/
    展开全文
  • ubuntu 下 init.d 服务启动脚本编写

    万次阅读 2012-11-20 12:49:15
    1、在/etc/init.d/ 下以管理员权限新建...2、使用以下模板修改启动脚本的内容 #!/bin/bash ### BEGIN INIT INFO # # Provides: location_server # Required-Start: $local_fs $remote_fs # Required-Stop: $local_fs

    1、在/etc/init.d/ 下以管理员权限新建文件,在本例中为location_server.

    2、使用以下模板修改启动脚本的内容

    #!/bin/bash
    ### BEGIN INIT INFO
    #
    # Provides:	 location_server
    # Required-Start:	$local_fs  $remote_fs
    # Required-Stop:	$local_fs  $remote_fs
    # Default-Start: 	2 3 4 5
    # Default-Stop: 	0 1 6
    # Short-Description:	initscript
    # Description: 	This file should be used to construct scripts to be placed in /etc/init.d.
    #
    ### END INIT INFO
    
    ## Fill in name of program here.
    PROG="location_server"
    PROG_PATH="/opt/location_server" ## Not need, but sometimes helpful (if $PROG resides in /opt for example).
    PROG_ARGS="" 
    PID_PATH="/var/run/"
    
    start() {
        if [ -e "$PID_PATH/$PROG.pid" ]; then
            ## Program is running, exit with error.
            echo "Error! $PROG is currently running!" 1>&2
            exit 1
        else
            ## Change from /dev/null to something like /var/log/$PROG if you want to save output.
            $PROG_PATH/$PROG $PROG_ARGS 2>&1 >/var/log/$PROG &
    	$pid=`ps ax | grep -i 'location_server' | sed 's/^\([0-9]\{1,\}\).*/\1/g' | head -n 1`
    
            echo "$PROG started"
            echo $pid > "$PID_PATH/$PROG.pid"
        fi
    }
    
    stop() {
        echo "begin stop"
        if [ -e "$PID_PATH/$PROG.pid" ]; then
            ## Program is running, so stop it
    	pid=`ps ax | grep -i 'location_server' | sed 's/^\([0-9]\{1,\}\).*/\1/g' | head -n 1`
    	kill $pid
            
            rm -f  "$PID_PATH/$PROG.pid"
            echo "$PROG stopped"
        else
            ## Program is not running, exit with error.
            echo "Error! $PROG not started!" 1>&2
            exit 1
        fi
    }
    
    ## Check to see if we are running as root first.
    ## Found at http://www.cyberciti.biz/tips/shell-root-user-check-script.html
    if [ "$(id -u)" != "0" ]; then
        echo "This script must be run as root" 1>&2
        exit 1
    fi
    
    case "$1" in
        start)
            start
            exit 0
        ;;
        stop)
            stop
            exit 0
        ;;
        reload|restart|force-reload)
            stop
            start
            exit 0
        ;;
        **)
            echo "Usage: $0 {start|stop|reload}" 1>&2
            exit 1
        ;;
    esac
    
    其中,PROG变量为所要运行的可执行程序的名称, PROG_PATH为可执行文件所在的目录,PROG_ARGS为执行程序的各个参数。

    需要注意的是,在stop()函数中利用kill命令结束进程,有两种方法可以处理,一种是利用进程名称,如“location_server"查找相应的进程号,然后调用kill <进程号>结束进程,另一种方法是直接使用killall <进程名称>,但是在这种方法下,本启动脚本的名称不能和可执行文件的名称相同,不然的话,stop后会出现”Terminated“说明脚本也被kill掉。也可以在start()中将进程号存储在.pid文件中,然后在stop()中从文件中取得要结束的进程号,但是这样的话,还想获得的进程号会比实际进程号小2,现在还不知道是什么原因。

    3、添加删除服务

    添加: sudo update-rc.d 服务名 defaults

    删除:sudo update-rc.d -f 服务名 remove


    4、启动、关闭、重启服务

    /etc/init.d/服务名 start

    /etc/init.d/服务名 stop

    /etc/init.d/服务名 start





    展开全文
  • 前言:打包好的springboot项目,可以使用java -jar xxx.jar的方式启动。当出现多个springboot项目需要启动的时候,可以使用脚本启动的方式。...以下展示启动脚本示例,过程中遇到的问题,以及相关的解决办法。
  • Tomcat启动脚本浅析

    千次阅读 2016-08-22 17:38:02
    本文以Tomcat5.0.28例,讨论一下Tomcat的启动过程及常见问题。大家都知道,Tomcat最普遍的启动方法就是在DOS 命令行窗口中执行Tomcat的bin目录下的startup.bat文件(双击该文件即可启动)。  1. startup.bat脚本...
  • 引言:在window下每次启动redis服务都要先进入服务所在目录下,然后通过命令窗口来启动redis服务,这样感觉很麻烦,于是有了写一个批处理脚本的动机 一,redis服务下startup.bat脚本 @echo off title redis-...
  • Zookeeper 启动脚本 & 命令行操作

    千次阅读 2017-01-01 22:28:24
    启动脚本 当zookeeper服务器部署比较多的时候,我们一个一个的去启动时相当麻烦的,当使用脚本进行全部一起启动或停止时相当高效的。 startzk.sh #!/bin/sh echo "start zookeeper server..."hosts="mini05 mini06 ...
  • 写一个shell脚本启动服务器

    千次阅读 2018-09-17 15:37:43
    使用shell脚本写一个一键启动服务器 由于我们服务器使用的docker, nginx和 redis 还有mysql都是docker启动好的 我们项目使用supervisor进程管理工具,需要提前配置,但是不知道什么原因,以前的环境配置出...
  • linux系统在开机时会自行加载一些配置文件,可以通过修改配置文件方式,实现开机启动自己的程序、服务等。系统启动加载的配置文件有: /etc/profile /root/.bash_profile /etc/bashrc /root/.bashrc /etc/...
  • 通过脚本启动QTP,运行测试脚本

    千次阅读 2013-01-02 11:14:18
     我之前项目中用到一个简单的启动脚本,分享给大家参考: Dim G_TestPath'项目所在测试根目录 Dim qtApp'QTP应用程序 set ws=CreateObject("WScript.Shell") G_TestPath = ws.CurrentDirectory'自动获取项目...
  • windows下使用bat批量启动脚本

    千次阅读 2019-06-19 18:34:06
    在日常工作中,由于需要在本地调试,需要启动一些脚本,而...在脚本所在目录下创建win_start.bat 文件,内容: @echo off REM start title exe -f file start "script_player_info" "php" -f "script_player_i...
  • 通过批处理脚本,直接在某个目录启动git-bash窗口。 实现 在项目目录下,创建一个批处理脚本(StartGitBash.bat)文件,写入如下的命令: start F:\Program&quot; &quot;Files\Git\git-bash.exe --cd=D:\dev\...
  • Windows下的java启动脚本

    千次阅读 2013-04-16 13:56:57
    最近部分项目的子系统由linux转向windows,根据实际情况的需求结合网络资源整理了一份Bat脚本,用于在Windows下启动...REM Project name: Windows下的java启动脚本 REM Author: Jason REM Date: 2013-4-16 REM Version:
  • 以Redis服务为例,该shell脚本可以通过传入不同的参数实现服务启动、停止、服务运行状态查看、服务运行日志查看和进入服务shell命令界面等功能。 直接上脚本operator.sh 用法可以使用help参数查看哈,用法例如:...
  • #该脚本为Linux下启动java程序的通用脚本。即可以作为开机自启动service脚本被调用, #也可以作为启动java程序的独立脚本来使用。 # #Author: tudaxia.com, Date: 2011/6/7 # #警告!!!:该脚本stop部分使用系统kill...
  • redis集群启动脚本

    千次阅读 2017-11-29 16:33:44
    我来告诉你,找到 Redis 的解压包所在目录,输入 " cd redis/src/ " 进入 Redis的 src 目录,如下图: 二、搭建 Redis 集群 创建 Redis 实例存放目录 进入 local 目录,输入 " mkdir ...
  • 如何编写linux的启动脚本

    千次阅读 2019-04-12 13:42:57
    如何编写linux的启动脚本 linux下shell脚本 了解linux shell shell是系统的用户界面,提供了用户与内核进行的交互操作的一种接口;它接收用户输入的命令并把它送到内核去执行。 Shell有自己的编程语言用于对命令的...
  • jdk中gamma启动脚本详解

    千次阅读 2018-11-13 17:59:34
    解析 本文是基于jdk1.6进行解析...在对openjdk编译后,会在jvmg 目录下生成hotSpot脚本,这个启动器入口位于hotspot/src/share/tools/luncher/java.c. 本文就来看一下该脚本 #解析 该脚本中首先是设置gdb,dbx,valgrin...
  • 今天捣腾了一下,想写个nginx和php-fpm自启动脚本,酱紫以后就不必要那么麻烦了。当然这个脚本在网上是很多的,没有那个必要自己写。但是网上的东东真的按照文章去做了,又发现整天都提示php-fpm 服务不支持 ...
  • JSVC编写自己的Linux启动脚本

    千次阅读 2012-08-11 11:29:24
    在linux系统上进行项目开发,在部署java项目时,常用方法就是写一个shell脚本,但当服务器重启了,经常会忘了启动shell脚本了。 所以我们需要把自己的应用变成linux的服务,当服务器启动的时候就自行启动自己的应用...
  • 欢迎大家相互交流,共同提高技术。   第一章 Hadoop启动Shell...此脚本很简单,就是根据运行此脚本的目录进入安装hadoop目录下的bin目录,然后运行启动hdfs和mapred的启动脚本。 bin=`dirname "$0"` bin=`cd
  • 以管理员身份运行bat脚本时,获取当前文件所在目录  知道windows的bat脚本很强大,但是具体命令向来很少接触,今天在win7上运行自己以前写的一个安装mysql数据库到系统服务脚本时,遇到一些问题,下面记录一下。...
  • Jenkins执行远程脚本启动服务失败的问题解决

    千次阅读 热门讨论 2019-07-08 16:02:32
    最近也在整合Jenkin + Gitlab自动运维部署的实现,就差最后一步了,死活不能启动服务!网上找了好久的解决方案,都说Jenkins在任务结束时会杀掉衍生进程,需要在“Exec command”的脚本框里加上“export BUILD_ID=...
  • Spring Boot Maven plugin能够将Spring Boot应用打包可执行的jar文件 所以在pom文件中加入: <build> <plugins> <plugin> <groupId>org.springframework.boot</groupId>
  • shell脚本启动springboot应用

    千次阅读 2019-05-15 18:44:09
    使用shell脚本启动springboot程序 # Date:2018-8-23 DATE=$(date +%Y-%m-%d) JAVA_HOME=/opt/java/jdk1.8.0_181 CLASSPATH=$JAVA_HOME/lib/ PATH=$PATH:$JAVA_HOME/bin export PATH JAVA_HOME CLASSPATH #应用所在...
  • Redis多实例启动脚本

    千次阅读 2016-05-09 14:18:24
    1,编写脚本 vi /etc/init.d/redis #!/bin/sh #chkconfig: 2345 10 90 #description: Startup and stop script for Redis PATH=/usr/local/bin:/sbin:/usr/bin:/bin REDISPORT_1=6380 REDISPORT_2=6381 REDISPORT_...
  • HBASE启动脚本/Shell解析

    万次阅读 2013-07-04 11:40:02
    常用到的HBase启动脚本有: 1.$HBASE_HOME/bin/start-hbase.sh 启动整个集群 2.$HBASE_HOME/bin/stop-hbase.sh 停止整个集群 3.$HBASE_HOME/bin/hbase-daemons.sh 启动或停止,所有的regionserver或...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 163,994
精华内容 65,597
关键字:

服务的启动脚本所在目录为